

export const getDateMonthDay = (value) => {
    const date = new Date(value)
    return date.toLocaleString(['en-US'], {
        
      month: 'short',
      day: '2-digit',
      year: 'numeric',
  
    })
}

export const getDateTime = (value, hour) => {

  const date = new Date(value);
  date.setHours(date.getHours() + hour);

  // Obtener los componentes de la fecha
  const year = date.getFullYear();
  const month = ('0' + (date.getMonth() + 1)).slice(-2); // Agrega cero al principio si es necesario
  const day = ('0' + date.getDate()).slice(-2); // Agrega cero al principio si es necesario
  const hours = ('0' + date.getHours()).slice(-2); // Agrega cero al principio si es necesario
  const minutes = ('0' + date.getMinutes()).slice(-2); // Agrega cero al principio si es necesario

  // Crear la cadena de fecha formateada
  const dateFormat = `${year}-${month}-${day} ${hours}:${minutes}`;

  return dateFormat;
}